package de.avatic.lcc.model.azuremaps.geocoding;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class Address {

    @JsonProperty("addressLine")
    private String addressLine;

    @JsonProperty("locality")
    private String locality;

    @JsonProperty("neighborhood")
    private String neighborhood;

    @JsonProperty("adminDistricts")
    private List<AdminDistrict> adminDistricts;

    @JsonProperty("postalCode")
    private String postalCode;

    @JsonProperty("countryRegion")
    private CountryRegion countryRegion;

    @JsonProperty("formattedAddress")
    private String formattedAddress;

    public String getAddressLine() {
        return addressLine;
    }

    public void setAddressLine(String addressLine) {
        this.addressLine = addressLine;
    }

    public String getLocality() {
        return locality;
    }

    public void setLocality(String locality) {
        this.locality = locality;
    }

    public String getNeighborhood() {
        return neighborhood;
    }

    public void setNeighborhood(String neighborhood) {
        this.neighborhood = neighborhood;
    }

    public List<AdminDistrict> getAdminDistricts() {
        return adminDistricts;
    }

    public void setAdminDistricts(List<AdminDistrict> adminDistricts) {
        this.adminDistricts = adminDistricts;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public CountryRegion getCountryRegion() {
        return countryRegion;
    }

    public void setCountryRegion(CountryRegion countryRegion) {
        this.countryRegion = countryRegion;
    }

    public String getFormattedAddress() {
        return formattedAddress;
    }

    public void setFormattedAddress(String formattedAddress) {
        this.formattedAddress = formattedAddress;
    }
}